Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action
Class EntityDeleteAction

    java.lang.Object
      org.hibernate.action.EntityAction
          org.hibernate.action.EntityDeleteAction

All Implemented Interfaces:
  Serializable, Comparable, Executable

    public final class EntityDeleteAction

extends EntityAction

See Also:
  Serialized Form

Constructor Summary
`EntityDeleteAction(Serializable id, Object[] state, Object version, Object instance, EntityPersister persister, boolean isCascadeDeleteEnabled, SessionImplementor session)`

Method Summary
`void` | `afterTransactionCompletion(boolean success)` Called after the transaction completes
`void` | `execute()` Execute this action
`protected boolean` | `hasPostCommitEventListeners()`

Methods inherited from class org.hibernate.action.EntityAction
`beforeExecutions, compareTo, getEntityName, getId, getInstance, getPersister, getPropertySpaces, getSession, hasAfterTransactionCompletion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityDeleteAction

    public EntityDeleteAction(Serializable id,
                              Object[] state,
                              Object version,
                              Object instance,
                              EntityPersister persister,
                              boolean isCascadeDeleteEnabled,
                              SessionImplementor session)

Method Detail

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException`

### afterTransactionCompletion

    public void afterTransactionCompletion(boolean success)
                                    throws HibernateException

  Description copied from interface: `Executable`
  Called after the transaction completes

  Throws:
    `HibernateException`

### hasPostCommitEventListeners

    protected boolean hasPostCommitEventListeners()

  Specified by:
    `hasPostCommitEventListeners` in class `EntityAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD